Description

Actually, there are 3 user options in "My account" for e-mail notifications:

For any events on all my projects

For any events on the selected projects only...

Only for things I watched or I'm involved in

The second choice allows the user to select the projects which he is interested in or exclude certain projects. I would like to request a

new option, that is the "complement" of this option, such as:

For any events on all my projects except...

And then Redmine should exclude the selected projects from the notifications.

The motivation of this request is simple:

Consider that an user has configured his list of e-mail notifications using the second option just because he doesn't want to receive

notifications from one project.

Since Redmine does not send an email notification to the user when he is is added in a project, he have to remember to visit the

configuration page periodically to reconfigure the list of notifications by project. If user forgot to do this, he might lost some important

notifications.

This is intrinsically related to other requested features not implemented so far:

Watcher list when new issue (#398)

E-mail notification when added to a project

History

#1 - 2010-04-26 15:27 - Luiz Carlos Junior

Actually, there are 3 user options in "My account" for e-mail notifications:

For any events on all my projects

For any events on the selected projects only...

Only for things I watched or I'm involved in

The second choice allows the user to select the projects which he is interested in or exclude certain projects. I would like to request a new option, that

is the "complement" of this option, such as:

For any events on all my projects except...

And then Redmine should exclude the selected projects from the notifications.

The motivation of this request is simple:

Consider that an user has configured his list of e-mail notifications using the second option just because he doesn't want to receive notifications from

one project.

Since Redmine does not send an email notification to the user when he is is added in a project, he has to remember to visit the configuration page

periodically to reconfigure the list of notifications by project. If user forgot to do this, he might lost some important notifications.

This is intrinsically related to other requested features not implemented so far:
Watcher list when new issue (#398)

E-mail notification when added to a project

#2 - 2011-03-23 11:22 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2013-04-08 17:03 - Lubor Nosek

+1

Powered by TCPDF (www.tcpdf.org)

2025-07-07 2/2

https://www.redmine.org/issues/398
http://www.tcpdf.org

